#ifndef HELPER_H___590049B2_14D8_4394_8989_4B368A198F08__INCLUDED
#define HELPER_H___590049B2_14D8_4394_8989_4B368A198F08__INCLUDED

#include <cstdio>
#include <sstream>
#include <iostream>
#include <limits>

using namespace std;

int GetUserInputInt(const char* pQueryText, int MinValue, int MaxValue)
{
  bool valueValid = false;
  int userInput;
  do
  {
    cout << endl;
    cout << pQueryText << " " << MinValue << "..." << MaxValue << ":";

    cin >> userInput;
    std::cin.ignore( std::numeric_limits <std::streamsize> ::max(), '\n' );

    if ( (MinValue <= userInput) && (userInput <= MaxValue) )
    {
      valueValid = true;
    }
  }
  while (!valueValid);

  return userInput;
}


double GetUserInputDouble(const char* pQueryText, double MinValue, double MaxValue)
{
  bool valueValid = false;
  double userInput;

  cout << endl;
  cout << pQueryText<<" "<<MinValue<<"..."<<MaxValue<<":";

  do
  {
    cin >> userInput;
    std::cin.ignore( std::numeric_limits <std::streamsize> ::max(), '\n' );

    if ((MinValue <= userInput) && (userInput <= MaxValue))
    {
      valueValid = true;
    }
  }
  while (!valueValid);

  return userInput;
}

#endif //HELPER_H___590049B2_14D8_4394_8989_4B368A198F08__INCLUDED
