#ifndef PROFILER_H__99ED945F_EE3B_4d8d_8BB2_984478629B32__INCLUDED
#define PROFILER_H__99ED945F_EE3B_4d8d_8BB2_984478629B32__INCLUDED

class Profiler
{
private:
  clock_t start;

public:
  Profiler(): start(0){}

  void Start()
  {
    start = clock();
  }

  double GetDiff_ms()
  {
    return ((clock() - start) * 1000.0 / CLOCKS_PER_SEC);
  }
};

#endif //PROFILER_H__99ED945F_EE3B_4d8d_8BB2_984478629B32__INCLUDED